# $Revision: 1.1 $, $Date: 2006/07/27 17:24:07 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Array
%define	pnam	RefElem
Summary:	Array::RefElem - Set up array elements as aliases
Name:		perl-Array-RefElem
Version:	1.00
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/G/GA/GAAS/Array-RefElem-1.00.tar.gz
# Source0-md5:	43ff2dd2049258634cb00697198572d1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module gives direct access to some of the internal Perl routines
that let you store things in arrays and hashes.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Array
%{perl_vendorarch}/Array/*.pm
%dir %{perl_vendorarch}/auto/Array
%dir %{perl_vendorarch}/auto/Array/RefElem
%{perl_vendorarch}/auto/Array/RefElem/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Array/RefElem/*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Array-RefElem.spec,v $
Revision 1.1  2006/07/27 17:24:07  glen
- new

